Skip to main content
`Ctrl`+`K`

# PCPythonSetType

Initialize a `PC` object implemented in Python, a `PCPYTHON`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPythonSetType(PC pc, const char pyname[])

Collective

## Input Parameters

- pc - the preconditioner (`PC`) context.

- pyname - full dotted Python name [package].module[.{class|function}]

## Options Database Key

- -pc_python_type <pyname> - python class

## See Also

KSP: Linear System Solvers, `PC`, `PCSHELL`, `PCCreate()`, `PCSetType()`, `PCPYTHON`, `PetscPythonInitialize()`

## Level

intermediate

## Location

src/ksp/pc/impls/python/pythonpc.c

## Examples

src/ksp/ksp/tutorials/ex100f.F90
src/ksp/ksp/tutorials/ex100.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages